/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.team.target;

import org.eclipse.team.internal.target.DeploymentProviderManager;

/**
 * Provide access to Team related Target functionality
 */
public class TeamTarget {
	
	private static DeploymentProviderManager deploymentManager;

	/**
	 * Returns the deployment manager. 
	 * @return the deployment manager
	 * @since 3.0
	 */
	public static IDeploymentProviderManager getDeploymentManager() {
		if(deploymentManager == null) {
			deploymentManager = new DeploymentProviderManager();
		}
		return deploymentManager;
	}

}
